Bug 1022884 - Incomplete separation of include files
Incomplete separation of include files
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.2.0
Assigned To: Tristan Tarrant
Alan Field
:
Depends On:
Blocks: 1010419
  Show dependency treegraph
 
Reported: 2013-10-24 04:53 EDT by Radim Vansa
Modified: 2018-01-29 20:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1022890 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-9 Blocker Resolved C++ client: Incomplete separation of include files 2014-06-02 11:57:16 EDT

  None (edit)
Description Radim Vansa 2013-10-24 04:53:55 EDT
The application should be able to link to the library distribution without the need of sources - headers from the include/ directory should not include anything outside of this folder (or standard headers).
Comment 2 Martin Gencur 2013-10-24 10:09:04 EDT
This prevents us from running any load/stress tests. Fixing this will enable testing of connection pooling as well. Making it a Beta blocker.

Note You need to log in before you can comment on or make changes to this bug.